/*
 * $Id: SearchResult.java,v 1.2 2005/11/26 17:08:01 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.koike.core.search;

/**
 * 検索結果オブジェクト
 * 指定された範囲の検索結果と，それに付随する情報を保持する．
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class SearchResult {
	/** 総件数 */
	private int hits = 0;
	/** 検索結果レコード */
	private ResultSet[] results = new ResultSet[0];

	/**
	 * コンストラクタ．
	 */
	public SearchResult() {
	}
	/**
	 * 検索結果レコードを設定する．
	 * @param rs 検索結果レコード
	 */
	public void setResultSet(ResultSet[] rs) {
		results = rs;
	}
	/**
	 * 検索結果レコードを返す．
	 * @return 検索結果レコード
	 */
	public ResultSet[] getResultSet() {
		return results;
	}
	/**
	 * 総件数を設定する．
	 * @param h 総件数
	 */
	public void setHits(int h) {
		hits = h;
	}
	/**
	 * 総件数を返す．
	 * @return 総件数
	 */
	public int getHits() {
		return hits;
	}
}
